## osoy-0.5.1.crate

=== Makefile ===
build:
	@cargo build --release
	@rm -f osoy
	@mv target/release/osoy osoy

test:
	@cargo test

clean:
	@cargo clean

.PHONY: build test clean
